:root {
	--dark-green: #2B492B;
	--medium-green: #508E50;
	--light-green: #93A893;
	--medium-red: #992E27;
	--border-color: #000;
	--highlight-color: #FFAB6E;
	--blue-highlight-color: #00D7FB;
	--nav-color: #77C3B5;
	--off-white: #EEE;
	--background-color: #FFF;

	--font-color: #000;

	--list-width: 18em;
	--slideout-width: 2em;
	--list-background-color: var(--background-color);
}
@media (prefers-color-scheme: dark) {
:root {
	--medium-green: #315831;
	--light-green: #334B34;
	--highlight-color: #D08B5A;
	--blue-highlight-color: #00A5BE;
	--off-white: #426C67;
	--background-color: #2E4C48;
}
}

html {
	/* Work around ios body rubberband */
	position: fixed;
}

body {
	padding: 0;
	margin: 0;
	overflow: auto;
	font-size: 12pt;
	font-family: sans-serif;
	-webkit-overflow-scrolling: touch;
	background-color: var(--dark-green);
	color: var(--font-color);
}

div {
	padding: 0;
	margin: 0;
}

p {
	padding: 10pt;
	margin: 0;
}

.main {
	position: absolute;
	height: 100vh;
	max-height: 100vh;
	overflow-y: auto;
	background-color: var(--background-color);

	border-left: 1px solid var(--border-color);
	visibility: hidden;
}

.main.main-selected {
	visibility: visible;
}

#splash {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;

	color: var(--font-color);
	text-align: center;
	text-shadow: 0 0 1px #FFF;

	background-color: var(--medium-green);
}

.splash-icon {
	width: 20vh;
	height: 20%;
	padding: 50px;
	border-radius: 100%;
	box-shadow: 0 0 50px var(--light-green);
	background-color: var(--dark-green);
}
.splash-icon > img {
	width: 100%;
	height: 100%;
}
.splash-title {
	font-size: 36pt;
}
.splash-text {
	font-size: 24pt;
}

@media (max-width: 800px) {
	.main {
		width: 100vw;
	}
	#recipe {
		margin-left: 0;
		position: absolute;
		top: 0;
		left: 0;
		display: none;
		border-left: 0;
	}
	#recipe.viewing {
		display: block;
	}
}

.list-item.recipe-item-active::after {
	background-color: var(--dark-green);
	content: "In-progress";
}
.list-item.recipe-item-completed::after {
	background-color: var(--medium-green);
	content: "Complete";
}

#search {
	font-size: 12pt;
	width: 90%;
	padding: 2pt;
	border-bottom: 1px solid var(--border-color);
}

h1 {
	background-color: var(--medium-green);
	padding: 10pt;
	margin: 0;

	text-align: center;
	font-size: 18pt;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;

	border-bottom: 1px solid var(--border-color);
}

.categories {
	background-color: var(--medium-green);
	padding-left: 10pt;
	font-size: 12pt;
	font-style: italic;
	border-top: none;
}
.categories::before {
	content: "(";
}
.categories::after {
	content: ")";
}

h2 {
	background-color: var(--light-green);
	padding: 5pt;
	margin: 0;

	text-align: center;
	font-size: 16pt;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;

	border-bottom: 1px solid var(--border-color);
	border-top: 1px solid var(--border-color);
}

#recipe-ingredients {
	column-width: 200pt;
	column-gap: 10pt;
	padding: 5pt;
}
#recipe-ingredients > div {
	margin: 2pt;
	padding: 2pt;
	border: 1px solid var(--background-color);
}
.ingredients-amount {
	padding-right: .5em;
	text-align: right;
}
.ingredients-name {
	font-weight: bolder;
}
.ingredients-modifier {
	padding-left: .5em;
	font-style: italic;
}
.ingredients-modifier::before {
	content: "(";
}
.ingredients-modifier::after {
	content: ")";
}
#recipe-ingredients .ingredient-next {
	background-color: var(--highlight-color);
	border: 1px solid var(--border-color);
}
#recipe-ingredients .ingredient-consumed {
	text-decoration: line-through;
}

/* Instructions */
#recipe-instructions > div {
	padding: 10pt;
	background-color: var(--background-color);
}
#recipe-instructions > div:nth-child(even) {
	background-color: var(--off-white);
}
#recipe-instructions > .instruction-next {
	font-weight: bold;
	background-color: var(--highlight-color) !important;
	border-color: var(--border-color);
	border-top: 1px solid;
	border-bottom: 1px solid;

}
#recipe-instructions > .instruction-complete {
	color: transparent;
	text-shadow: 0 0 1px rgba(0,0,0,0.7);
}
#recipe-instructions > .start-button {
	text-align: center;
	background-color: var(--blue-highlight-color);
	border-bottom: 1px solid;
}
#recipe-instructions > .start-button::after {
	content: "Start cooking";
}

/* Notes */
ul {
	margin: 0;
	padding: 10pt;
	list-style: none;
}
ul li:before {
	content: "\00BB  ";
}
ul:empty {
	display: none;
}
.hidden {
	display: none;
}

/* Create Recipe */
#creation-button {
	padding: 0 5pt 0 5pt;
	border-radius: 5pt;
	border: 1px solid var(--border-color);
	box-shadow: 0 0 5px var(--dark-green);
	background-color: var(--light-green);
}
input[type="text"] {
	border: 0;
	background: none;
	border-bottom: 1px dashed #000;
	margin: 5pt;
	font-size: inherit;
	text-align: inherit;
}
.create-ingredient {
}
.create-instruction {
	width: calc(100% - 10pt - 2px);
}
.create-note {
	/* 10pt for margin, 2pt for border, 1em for li character */
	width: calc(100% - 10pt - 2px - 1em);
}
#creation-generate {
	margin-top: 5pt;
	padding: 5pt;
	border-top: 1px solid var(--border-color);
	border-bottom: 1px solid var(--border-color);

	text-align: center;
	font-size: 16pt;
	background-color: var(--blue-highlight-color);
}
#creation-error {
	padding: 5pt;
	border-top: 1px solid var(--border-color);

	text-align: center;
	font-size: 16pt;
	color: #FFF;
	text-shadow: 0 0 1px #000;
	background-color: var(--medium-red);
}
#creation-error:before {
	content: "Error: "
}
#creation-result {
	padding: 10pt 10pt 0 10pt;
}
#creation-result > pre {
	border: 1px solid var(--border-color);
	background-color: var(--light-green);
	white-space: pre-wrap;
}

/* Email Stuff */
.email {
	font-weight:bold;
}
.email .at:after {content: "@";}
